// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	v1 "k8s.io/api/core/v1"
)

// ServiceRepo is an autogenerated mock type for the ServiceRepo type
type ServiceRepo struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *ServiceRepo) Create(item *v1.Service) (*v1.Service, error) {
	ret := _m.Called(item)

	var r0 *v1.Service
	if rf, ok := ret.Get(0).(func(*v1.Service) *v1.Service); ok {
		r0 = rf(item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.Service)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*v1.Service) error); ok {
		r1 = rf(item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Delete provides a mock function with given fields: name
func (_m *ServiceRepo) Delete(name string) error {
	ret := _m.Called(name)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(name)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: name
func (_m *ServiceRepo) Get(name string) (*v1.Service, error) {
	ret := _m.Called(name)

	var r0 *v1.Service
	if rf, ok := ret.Get(0).(func(string) *v1.Service); ok {
		r0 = rf(name)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.Service)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(name)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ServiceRepo) Update(item *v1.Service) (*v1.Service, error) {
	ret := _m.Called(item)

	var r0 *v1.Service
	if rf, ok := ret.Get(0).(func(*v1.Service) *v1.Service); ok {
		r0 = rf(item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.Service)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*v1.Service) error); ok {
		r1 = rf(item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewServiceRepo interface {
	mock.TestingT
	Cleanup(func())
}

// NewServiceRepo creates a new instance of ServiceRepo. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewServiceRepo(t mockConstructorTestingTNewServiceRepo) *ServiceRepo {
	mock := &ServiceRepo{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
